Package ghidra.app.util.opinion

# Class LibraryPathsDialog

java.lang.Object
docking.DialogComponentProvider
docking.widgets.pathmanager.AbstractPathsDialog
ghidra.app.util.opinion.LibraryPathsDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

public class LibraryPathsDialog extends AbstractPathsDialog
Dialog for editing Library Search Paths which are used by the importer to locate referenced shared libraries.

- ## Field Summary

  ### Fields inherited from class docking.widgets.pathmanager.AbstractPathsDialog

  `tablePanel`

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LibraryPathsDialog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String[]`
  `loadPaths()`
  `protected PathnameTablePanel`
  `newPathnameTablePanel()`
  `protected void`
  `reset()`
  `protected void`
  `savePaths(String[] paths)`

  ### Methods inherited from class docking.widgets.pathmanager.AbstractPathsDialog

  `buildWorkPanel, okCallback`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, close, closeDialog, dialogClosed, dialogShown, dismissCallback, dispose, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, removeAction, removeButton, removeWorkPanel, repack, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LibraryPathsDialog

    public LibraryPathsDialog()

- ## Method Details

  - ### loadPaths

    protected String[] loadPaths()
    Specified by:
      `loadPaths` in class `AbstractPathsDialog`

  - ### savePaths

    protected void savePaths(String[] paths)
    Specified by:
      `savePaths` in class `AbstractPathsDialog`

  - ### newPathnameTablePanel

    protected PathnameTablePanel newPathnameTablePanel()
    Specified by:
      `newPathnameTablePanel` in class `AbstractPathsDialog`

  - ### reset

    protected void reset()
    Overrides:
      `reset` in class `AbstractPathsDialog`